#ifndef SLIDERGROUP_H
#define SLIDERGROUP_H

#include <QGroupBox>
#include <QSpinBox>
#include <QLabel>
#include <QBoxLayout>
#include <QSlider>

QT_BEGIN_NAMESPACE
class QDial;
class QScrollBar;
class QSlider;
QT_END_NAMESPACE

class SliderGroup : public QGroupBox
{
    Q_OBJECT

public:
    SliderGroup(const QString &title,
                 int min,
                 int max,
                 int decimals,
                 QWidget *parent = nullptr);

signals:
    void valueChanged(float value);

public slots:
    void setValue(float value);
    void sliderValueChanged(int value);

private:
    QSlider *slider;
    QDoubleSpinBox *valueBox;
};

#endif
